REM ***************************************************************
REM Licensed Material - Property of IBM
REM 
REM 5724-M24
REM 
REM Copyright IBM Corp. 2009.  All rights reserved.
REM 
REM US Government Users Restricted Rights - Use, duplication or
REM disclosure restricted by GSA ADP Schedule Contract with IBM
REM Corp.
REM ***************************************************************

@echo off
REM Usage: wsadmin arguments
set ERRORLEVEL=
setlocal

call "%~dp0..\..\bin\setupCmdLine.bat" %*

set USER_ID=%3
set PASSWORD=%4
set HOSTNAME=%1
set PORT=%2

"%JAVA_HOME%\bin\java" -Dwas.install.root="%WAS_HOME%" -Dcom.ibm.CORBA.loginSource=properties -Dcom.ibm.CORBA.loginUserid=%USER_ID% -Dcom.ibm.CORBA.loginPassword=%PASSWORD% -Djava.util.logging.config.file="%~dp0\logging.properties" -Djava.security.auth.login.config="%USER_INSTALL_ROOT%\properties\wsjaas_client.conf" -Djava.ext.dirs="%JAVA_HOME%\jre\lib\ext;%WAS_EXT_DIRS%;%WAS_HOME%\plugins;%WAS_HOME%\lib\WMQ\java\lib" -Djava.naming.provider.url=iiop://localhost:9809 -Djava.naming.factory.initial=com.ibm.websphere.naming.WsnInitialContextFactory -Dserver.root="%WAS_HOME%" "%CLIENTSAS%" "%CLIENTSSL%" %USER_INSTALL_PROP% -classpath "%WAS_CLASSPATH%;%~dp0\lib\SimpleCBEEmitter.jar;%~dp0\lib\DiagnosticModelEmitter.jar;%~dp0\lib\com.ibm.wbimonitor.server.configutil.jar;%~dp0\lib\com.ibm.wbimonitor.server.crosscell.spi.jar" com.ibm.wbimonitor.tools.diagnosticmodelemitter.Main %HOSTNAME% %PORT% %USER_ID% %PASSWORD%
